Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTGeometryShader4

    java.lang.Object
      org.lwjgl.opengl.EXTGeometryShader4

    public final class EXTGeometryShader4

extends java.lang.Object

Field Summary
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT` Accepted by the <pname> parameter of GetFramebufferAttachment- ParameterivEXT:
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT` Returned by CheckFramebufferStatusEXT:
`static int` | `GL_GEOMETRY_INPUT_TYPE_EXT`
`static int` | `GL_GEOMETRY_OUTPUT_TYPE_EXT`
`static int` | `GL_GEOMETRY_SHADER_EXT` Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:
`static int` | `GL_GEOMETRY_VERTICES_OUT_EXT` Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:
`static int` | `GL_LINE_STRIP_ADJACENCY_EXT`
`static int` | `GL_LINES_ADJACENCY_EXT` Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:
`static int` | `GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT`
`static int` | `GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT`
`static int` | `GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT`
`static int` | `GL_MAX_GEOMETRY_VARYING_COMPONENTS_EXT`
`static int` | `GL_MAX_VARYING_COMPONENTS_EXT`
`static int` | `GL_MAX_VERTEX_VARYING_COMPONENTS_EXT`
`static int` | `GL_PROGRAM_POINT_SIZE_EXT` Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetIntegerv, GetFloatv, GetDoublev, and GetBooleanv:
`static int` | `GL_TRIANGLE_STRIP_ADJACENCY_EXT`
`static int` | `GL_TRIANGLES_ADJACENCY_EXT`

Method Summary
`static void` | `glFramebufferTextureEXT(int target, int attachment, int texture, int level)`
`static void` | `glFramebufferTextureFaceEXT(int target, int attachment, int texture, int level, int face)`
`static void` | `glFramebufferTextureLayerEXT(int target, int attachment, int texture, int level, int layer)`
`static void` | `glProgramParameteriEXT(int program, int pname, int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_GEOMETRY_SHADER_EXT

    public static final int GL_GEOMETRY_SHADER_EXT

  Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:

  See Also:
    Constant Field Values

### GL_GEOMETRY_VERTICES_OUT_EXT

    public static final int GL_GEOMETRY_VERTICES_OUT_EXT

  Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:

  See Also:
    Constant Field Values

### GL_GEOMETRY_INPUT_TYPE_EXT

    public static final int GL_GEOMETRY_INPUT_TYPE_EXT

See Also:
  Constant Field Values

### GL_GEOMETRY_OUTPUT_TYPE_EXT

    public static final int GL_GEOMETRY_OUTPUT_TYPE_EXT

See Also:
  Constant Field Values

### GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT

    public static final int GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_GEOMETRY_VARYING_COMPONENTS_EXT

    public static final int GL_MAX_GEOMETRY_VARYING_COMPONENTS_EXT

See Also:
  Constant Field Values

### GL_MAX_VERTEX_VARYING_COMPONENTS_EXT

    public static final int GL_MAX_VERTEX_VARYING_COMPONENTS_EXT

See Also:
  Constant Field Values

### GL_MAX_VARYING_COMPONENTS_EXT

    public static final int GL_MAX_VARYING_COMPONENTS_EXT

See Also:
  Constant Field Values

### GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT

    public static final int GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT

See Also:
  Constant Field Values

### GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT

    public static final int GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT

See Also:
  Constant Field Values

### GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT

    public static final int GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT

See Also:
  Constant Field Values

### GL_LINES_ADJACENCY_EXT

    public static final int GL_LINES_ADJACENCY_EXT

  Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

  See Also:
    Constant Field Values

### GL_LINE_STRIP_ADJACENCY_EXT

    public static final int GL_LINE_STRIP_ADJACENCY_EXT

See Also:
  Constant Field Values

### GL_TRIANGLES_ADJACENCY_EXT

    public static final int GL_TRIANGLES_ADJACENCY_EXT

See Also:
  Constant Field Values

### GL_TRIANGLE_STRIP_ADJACENCY_EXT

    public static final int GL_TRIANGLE_STRIP_ADJACENCY_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT

    public static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT

  Returned by CheckFramebufferStatusEXT:

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT

    public static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT

  Accepted by the <pname> parameter of GetFramebufferAttachment- ParameterivEXT:

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT

See Also:
  Constant Field Values

### GL_PROGRAM_POINT_SIZE_EXT

    public static final int GL_PROGRAM_POINT_SIZE_EXT

  Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetIntegerv, GetFloatv, GetDoublev, and GetBooleanv:

  See Also:
    Constant Field Values

Method Detail

### glProgramParameteriEXT

    public static void glProgramParameteriEXT(int program,
                                              int pname,
                                              int value)

### glFramebufferTextureEXT

    public static void glFramebufferTextureEXT(int target,
                                               int attachment,
                                               int texture,
                                               int level)

### glFramebufferTextureLayerEXT

    public static void glFramebufferTextureLayerEXT(int target,
                                                    int attachment,
                                                    int texture,
                                                    int level,
                                                    int layer)

### glFramebufferTextureFaceEXT

    public static void glFramebufferTextureFaceEXT(int target,
                                                   int attachment,
                                                   int texture,
                                                   int level,
                                                   int face)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.